Vulnerability CVE-2018-1232


Published: 2018-03-30   Modified: 2018-03-31

Description:
RSA Authentication Agent version 8.0.1 and earlier for Web for both IIS and Apache Web Server are impacted by a stack-based buffer overflow which may occur when handling certain malicious web cookies that have invalid formats. The attacker could exploit this vulnerability to crash the authentication agent and cause a denial-of-service situation.

Type:

CWE-119

(Improper Restriction of Operations within the Bounds of a Memory Buffer)

CVSS2 => (AV:N/AC:L/Au:N/C:N/I:N/A:P)

CVSS Base Score
Impact Subscore
Exploitability Subscore
5/10
2.9/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
None
None
Partial
Affected software
RSA -> Authentication agent for web 

 References:
http://seclists.org/fulldisclosure/2018/Mar/60
http://www.securitytracker.com/id/1040577

Copyright 2021, cxsecurity.com

 

Back to Top